List Roles

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Minimum Plan Required: Entrée

Sample Response

{
    "data": [
        {
            "id": 2583,
            "company_id": 1234,
            "location_id": 4569,
            "department_id": 7890,
            "color": "1e71b2",
            "num_stations": 2,
            "name": "Server",
            "job_code": "",
            "sort": 1,
            "stations": [
                {
                    "id": 1,
                    "role_id": 2583,
                    "station_number": 1,
                    "name": "test station one"
                },
                {
                    "id": 2,
                    "role_id": 2583,
                    "station_number": 2,
                    "name": "test station two"
                }
            ],
            "created": "2021-10-28T16:48:42+0000",
            "modified": "2022-12-02T21:31:44+0000"
        },
        {
            "id": 2584,
            "company_id": 1234,
            "location_id": 4569,
            "department_id": 7890,
            "color": "d05353",
            "num_stations": 0,
            "name": "Host",
            "job_code": "",
            "sort": 3,
            "stations": [],
            "created": "2021-10-28T16:52:27+0000",
            "modified": "2021-10-28T16:59:05+0000"
        }
    ],
    "meta": {
        "cursor": {
            "current": null,
            "prev": null,
            "next": "eyJpZCI6MTAxMzg0MCwibmV4dCI6dHJ1ZX0=",
            "count": 2
        }
    },
    "object": "roles"
}
Path Params
int64
required

Company ID

Query Params
int64

Location ID - if provided all roles from this location will be included in the response

int64

Department ID - if provided all roles from this Department will be included in the response

ids
array of int64s

Role IDs

ids
string
^\d{4}-\d{2}-\d{2}$

Return roles that have been modified since the specified date. Format YYYY-MM-DD

string

Cursor for the next or previous page of results.

int64

The number of results desired per page.

Headers
string
^\d{4}-\d{2}-\d{2}$

7shifts API version

uuid

Company GUID

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json